spec:
  inputs:
    stage_prefix:
    branch_name:
      default: "main"
    environment_name:
      default: "play"
    rule_pattern:
      default: "main"
---

unit-test-job-template:
  stage: $[[ inputs.stage_prefix ]]
  environment: $[[ inputs.environment_name ]]
  script:
    - echo "TEMPLATE JOB..."
    - echo "Running unit tests... This will take about 60 seconds."
    - sleep 60
    - echo "Code coverage is 90%"
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^$[[ inputs.rule_pattern ]]/
      when: on_success
    - when: never

lint-test-job-template:
  stage: $[[ inputs.stage_prefix ]]
  script:
    - echo "TEMPLATE JOB..."
    - echo "Linting code... This will take about 10 seconds."
    - sleep 10
    - echo "No lint issues found."
  rules:
    - if: $CI_COMMIT_BRANCH =~ /^$[[ inputs.rule_pattern ]]/
      when: on_success
    - when: never

...
